> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wrkout.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Premium Video

> Get premium video for the exercise by ID



## OpenAPI

````yaml GET /videos/{exerciseId}/premium/{videoName}.mp4
openapi: 3.0.1
info:
  title: OpenAPI Wrkout
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.wrkout.xyz
security:
  - ApiKeyAuth: []
paths:
  /videos/{exerciseId}/premium/{videoName}.mp4:
    get:
      tags:
        - videos
      description: Get premium video for the exercise by ID
      parameters:
        - name: exerciseId
          in: path
          description: ID or Name of the exercise
          required: true
          schema:
            type: string
        - name: videoName
          in: path
          description: Name of the video
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            video/mp4:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````